
/* Generated Header file do not edit */

/*
 * ModemManager Interface Specification
 * version 0.5
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301 USA.
 *
 * Copyright (C) 2008 - 2009 Novell, Inc.
 * Copyright (C) 2009 - 2011 Red Hat, Inc.
 */

#ifndef _MODEM_MANAGER_H_
#define _MODEM_MANAGER_H_

#define MM_DBUS_PATH    "/org/freedesktop/ModemManager"
#define MM_DBUS_SERVICE "org.freedesktop.ModemManager"

/**************
 * Interfaces *
 **************/

#define MM_DBUS_INTERFACE "org.freedesktop.ModemManager"
#define MM_DBUS_INTERFACE_MODEM "org.freedesktop.ModemManager.Modem"
#define MM_DBUS_INTERFACE_MODEM_SIMPLE "org.freedesktop.ModemManager.Modem.Simple"
#define MM_DBUS_INTERFACE_MODEM_CDMA "org.freedesktop.ModemManager.Modem.Cdma"
#define MM_DBUS_INTERFACE_MODEM_GSM "org.freedesktop.ModemManager.Modem.Gsm"
#define MM_DBUS_INTERFACE_MODEM_GSM_CARD "org.freedesktop.ModemManager.Modem.Gsm.Card"
#define MM_DBUS_INTERFACE_MODEM_GSM_CONTACTS "org.freedesktop.ModemManager.Modem.Gsm.Contacts"
#define MM_DBUS_INTERFACE_MODEM_GSM_HSO "org.freedesktop.ModemManager.Modem.Gsm.Hso"
#define MM_DBUS_INTERFACE_MODEM_GSM_NETWORK "org.freedesktop.ModemManager.Modem.Gsm.Network"
#define MM_DBUS_INTERFACE_MODEM_GSM_SMS "org.freedesktop.ModemManager.Modem.Gsm.SMS"
#define MM_DBUS_INTERFACE_MODEM_GSM_USSD "org.freedesktop.ModemManager.Modem.Gsm.Ussd"
#define MM_DBUS_INTERFACE_MODEM_FIRMWARE "org.freedesktop.ModemManager.Modem.Firmware"
#define MM_DBUS_INTERFACE_MODEM_LOCATION "org.freedesktop.ModemManager.Modem.Location"
#define MM_DBUS_INTERFACE_MODEM_TIME "org.freedesktop.ModemManager.Modem.Time"

/***********************
 * Methods/Enums/Flags *
 ***********************/

/*
 * Interface org.freedesktop.ModemManager
 */
  
#define MM_MANAGER_METHOD_ENUMERATEDEVICES "EnumerateDevices"
#define MM_MANAGER_METHOD_SCANDEVICES "ScanDevices"
#define MM_MANAGER_METHOD_SETLOGGING "SetLogging"

#define MM_MANAGER_SIGNAL_DEVICEADDED "DeviceAdded"
#define MM_MANAGER_SIGNAL_DEVICEREMOVED "DeviceRemoved"

/*
 * Interface org.freedesktop.ModemManager.Modem
 */
  
#define MM_MODEM_METHOD_ENABLE "Enable"
#define MM_MODEM_METHOD_CONNECT "Connect"
#define MM_MODEM_METHOD_DISCONNECT "Disconnect"
#define MM_MODEM_METHOD_GETIP4CONFIG "GetIP4Config"
#define MM_MODEM_METHOD_GETINFO "GetInfo"
#define MM_MODEM_METHOD_RESET "Reset"
#define MM_MODEM_METHOD_FACTORYRESET "FactoryReset"

#define MM_MODEM_SIGNAL_STATECHANGED "StateChanged"

/* MM_MODEM_TYPE enum values */
    
typedef enum {
    MM_MODEM_TYPE_UNKNOWN = 0,
    MM_MODEM_TYPE_GSM = 1,
    MM_MODEM_TYPE_CDMA = 2,
} MMModemType;

/* MM_MODEM_IP_METHOD enum values */
    
typedef enum {
    MM_MODEM_IP_METHOD_PPP = 0,
    MM_MODEM_IP_METHOD_STATIC = 1,
    MM_MODEM_IP_METHOD_DHCP = 2,
} MMModemIpMethod;

/* MM_MODEM_STATE enum values */
    
typedef enum {
    MM_MODEM_STATE_UNKNOWN = 0,
    MM_MODEM_STATE_DISABLED = 10,
    MM_MODEM_STATE_DISABLING = 20,
    MM_MODEM_STATE_ENABLING = 30,
    MM_MODEM_STATE_ENABLED = 40,
    MM_MODEM_STATE_SEARCHING = 50,
    MM_MODEM_STATE_REGISTERED = 60,
    MM_MODEM_STATE_DISCONNECTING = 70,
    MM_MODEM_STATE_CONNECTING = 80,
    MM_MODEM_STATE_CONNECTED = 90,
} MMModemState;

/* MM_MODEM_STATE_REASON enum values */
    
typedef enum {
    MM_MODEM_STATE_REASON_NONE = 0,
    MM_MODEM_STATE_REASON_USER_REQUESTED = 1,
    MM_MODEM_STATE_REASON_SUSPEND = 2,
    MM_MODEM_STATE_REASON_ROAMING_NOT_ALLOWED = 3,
} MMModemStateReason;

/*
 * Interface org.freedesktop.ModemManager.Modem.Simple
 */
  
#define MM_MODEM_SIMPLE_METHOD_CONNECT "Connect"
#define MM_MODEM_SIMPLE_METHOD_GETSTATUS "GetStatus"

/*
 * Interface org.freedesktop.ModemManager.Modem.Cdma
 */
  
#define MM_MODEM_CDMA_METHOD_ACTIVATE "Activate"
#define MM_MODEM_CDMA_METHOD_ACTIVATEMANUAL "ActivateManual"
#define MM_MODEM_CDMA_METHOD_GETSIGNALQUALITY "GetSignalQuality"
#define MM_MODEM_CDMA_METHOD_GETESN "GetEsn"
#define MM_MODEM_CDMA_METHOD_GETSERVINGSYSTEM "GetServingSystem"
#define MM_MODEM_CDMA_METHOD_GETREGISTRATIONSTATE "GetRegistrationState"

#define MM_MODEM_CDMA_SIGNAL_ACTIVATIONSTATECHANGED "ActivationStateChanged"
#define MM_MODEM_CDMA_SIGNAL_SIGNALQUALITY "SignalQuality"
#define MM_MODEM_CDMA_SIGNAL_REGISTRATIONSTATECHANGED "RegistrationStateChanged"

/* MM_MODEM_CDMA_REGISTRATION_STATE enum values */
    
typedef enum {
    MM_MODEM_CDMA_REGISTRATION_STATE_UNKNOWN = 0,
    MM_MODEM_CDMA_REGISTRATION_STATE_REGISTERED = 1,
    MM_MODEM_CDMA_REGISTRATION_STATE_HOME = 2,
    MM_MODEM_CDMA_REGISTRATION_STATE_ROAMING = 3,
} MMModemCdmaRegistrationState;

/* MM_MODEM_CDMA_ACTIVATION_STATE enum values */
    
typedef enum {
    MM_MODEM_CDMA_ACTIVATION_STATE_NOT_ACTIVATED = 0,
    MM_MODEM_CDMA_ACTIVATION_STATE_ACTIVATING = 1,
    MM_MODEM_CDMA_ACTIVATION_STATE_PARTIALLY_ACTIVATED = 2,
    MM_MODEM_CDMA_ACTIVATION_STATE_ACTIVATED = 3,
} MMModemCdmaActivationState;

/* MM_MODEM_CDMA_ACTIVATION_ERROR enum values */
    
typedef enum {
    MM_MODEM_CDMA_ACTIVATION_ERROR_NO_ERROR = 0,
    MM_MODEM_CDMA_ACTIVATION_ERROR_ROAMING = 1,
    MM_MODEM_CDMA_ACTIVATION_ERROR_WRONG_RADIO_INTERFACE = 2,
    MM_MODEM_CDMA_ACTIVATION_ERROR_COULD_NOT_CONNECT = 3,
    MM_MODEM_CDMA_ACTIVATION_ERROR_SECURITY_AUTHENTICATION_FAILED = 4,
    MM_MODEM_CDMA_ACTIVATION_ERROR_PROVISIONING_FAILED = 5,
    MM_MODEM_CDMA_ACTIVATION_ERROR_NO_SIGNAL = 6,
    MM_MODEM_CDMA_ACTIVATION_ERROR_UNKNOWN = 7,
    MM_MODEM_CDMA_ACTIVATION_ERROR_TIMED_OUT = 8,
    MM_MODEM_CDMA_ACTIVATION_ERROR_START_FAILED = 9,
} MMModemCdmaActivationError;

/*
 * Interface org.freedesktop.ModemManager.Modem.Gsm
 */
  
/* MM_MODEM_GSM_ALLOWED_AUTH enum values */
    
typedef enum {
    MM_MODEM_GSM_ALLOWED_AUTH_NONE = 0x1,
    MM_MODEM_GSM_ALLOWED_AUTH_PAP = 0x2,
    MM_MODEM_GSM_ALLOWED_AUTH_CHAP = 0x4,
    MM_MODEM_GSM_ALLOWED_AUTH_MSCHAP = 0x8,
    MM_MODEM_GSM_ALLOWED_AUTH_MSCHAPV2 = 0x10,
    MM_MODEM_GSM_ALLOWED_AUTH_EAP = 0x20,
} MMModemGsmAllowedAuth;

/* MM_MODEM_GSM_ALLOWED_MODE enum values */
    
typedef enum {
    MM_MODEM_GSM_ALLOWED_MODE_ANY = 0,
    MM_MODEM_GSM_ALLOWED_MODE_2G_PREFERRED = 1,
    MM_MODEM_GSM_ALLOWED_MODE_3G_PREFERRED = 2,
    MM_MODEM_GSM_ALLOWED_MODE_2G_ONLY = 3,
    MM_MODEM_GSM_ALLOWED_MODE_3G_ONLY = 4,
} MMModemGsmAllowedMode;

/* MM_MODEM_GSM_ACCESS_TECH enum values */
    
typedef enum {
    MM_MODEM_GSM_ACCESS_TECH_UNKNOWN = 0,
    MM_MODEM_GSM_ACCESS_TECH_GSM = 1,
    MM_MODEM_GSM_ACCESS_TECH_GSM_COMPACT = 2,
    MM_MODEM_GSM_ACCESS_TECH_GPRS = 3,
    MM_MODEM_GSM_ACCESS_TECH_EDGE = 4,
    MM_MODEM_GSM_ACCESS_TECH_UMTS = 5,
    MM_MODEM_GSM_ACCESS_TECH_HSDPA = 6,
    MM_MODEM_GSM_ACCESS_TECH_HSUPA = 7,
    MM_MODEM_GSM_ACCESS_TECH_HSPA = 8,
    MM_MODEM_GSM_ACCESS_TECH_HSPA_PLUS = 9,
    MM_MODEM_GSM_ACCESS_TECH_LTE = 10,
} MMModemGsmAccessTech;

/* MM_MODEM_GSM_DEPRECATED_MODE flag values */
    
typedef enum {
    MM_MODEM_GSM_DEPRECATED_MODE_UNKNOWN = 0x0,
    MM_MODEM_GSM_DEPRECATED_MODE_ANY = 0x1,
    MM_MODEM_GSM_DEPRECATED_MODE_GPRS = 0x2,
    MM_MODEM_GSM_DEPRECATED_MODE_EDGE = 0x4,
    MM_MODEM_GSM_DEPRECATED_MODE_UMTS = 0x8,
    MM_MODEM_GSM_DEPRECATED_MODE_HSDPA = 0x10,
    MM_MODEM_GSM_DEPRECATED_MODE_2G_PREFERRED = 0x20,
    MM_MODEM_GSM_DEPRECATED_MODE_3G_PREFERRED = 0x40,
    MM_MODEM_GSM_DEPRECATED_MODE_2G_ONLY = 0x80,
    MM_MODEM_GSM_DEPRECATED_MODE_3G_ONLY = 0x100,
    MM_MODEM_GSM_DEPRECATED_MODE_HSUPA = 0x200,
    MM_MODEM_GSM_DEPRECATED_MODE_HSPA = 0x400,
    MM_MODEM_GSM_DEPRECATED_MODE_GSM = 0x800,
    MM_MODEM_GSM_DEPRECATED_MODE_GSM_COMPACT = 0x1000,
} MMModemGsmDeprecatedMode;

/* MM_MODEM_GSM_BAND flag values */
    
typedef enum {
    MM_MODEM_GSM_BAND_UNKNOWN = 0x0,
    MM_MODEM_GSM_BAND_ANY = 0x1,
    MM_MODEM_GSM_BAND_EGSM = 0x2,
    MM_MODEM_GSM_BAND_DCS = 0x4,
    MM_MODEM_GSM_BAND_PCS = 0x8,
    MM_MODEM_GSM_BAND_G850 = 0x10,
    MM_MODEM_GSM_BAND_U2100 = 0x20,
    MM_MODEM_GSM_BAND_U1800 = 0x40,
    MM_MODEM_GSM_BAND_U17IV = 0x80,
    MM_MODEM_GSM_BAND_U800 = 0x100,
    MM_MODEM_GSM_BAND_U850 = 0x200,
    MM_MODEM_GSM_BAND_U900 = 0x400,
    MM_MODEM_GSM_BAND_U17IX = 0x800,
    MM_MODEM_GSM_BAND_U1900 = 0x1000,
    MM_MODEM_GSM_BAND_U2600 = 0x2000,
} MMModemGsmBand;

/* MM_MODEM_GSM_FACILITY flag values */
    
typedef enum {
    MM_MODEM_GSM_FACILITY_NONE = 0x0,
    MM_MODEM_GSM_FACILITY_SIM = 0x1,
    MM_MODEM_GSM_FACILITY_FIXED_DIALING = 0x2,
    MM_MODEM_GSM_FACILITY_PH_SIM = 0x4,
    MM_MODEM_GSM_FACILITY_PH_FSIM = 0x8,
    MM_MODEM_GSM_FACILITY_NET_PERS = 0x10,
    MM_MODEM_GSM_FACILITY_NET_SUB_PERS = 0x20,
    MM_MODEM_GSM_FACILITY_PROVIDER_PERS = 0x40,
    MM_MODEM_GSM_FACILITY_CORP_PERS = 0x80,
} MMModemGsmFacility;

/*
 * Interface org.freedesktop.ModemManager.Modem.Gsm.Card
 */
  
#define MM_MODEM_GSM_CARD_METHOD_GETIMEI "GetImei"
#define MM_MODEM_GSM_CARD_METHOD_GETIMSI "GetImsi"
#define MM_MODEM_GSM_CARD_METHOD_GETOPERATORID "GetOperatorId"
#define MM_MODEM_GSM_CARD_METHOD_GETSPN "GetSpn"
#define MM_MODEM_GSM_CARD_METHOD_SENDPUK "SendPuk"
#define MM_MODEM_GSM_CARD_METHOD_SENDPIN "SendPin"
#define MM_MODEM_GSM_CARD_METHOD_ENABLEPIN "EnablePin"
#define MM_MODEM_GSM_CARD_METHOD_CHANGEPIN "ChangePin"

/*
 * Interface org.freedesktop.ModemManager.Modem.Gsm.Contacts
 */
  
#define MM_MODEM_GSM_CONTACTS_METHOD_ADD "Add"
#define MM_MODEM_GSM_CONTACTS_METHOD_DELETE "Delete"
#define MM_MODEM_GSM_CONTACTS_METHOD_GET "Get"
#define MM_MODEM_GSM_CONTACTS_METHOD_LIST "List"
#define MM_MODEM_GSM_CONTACTS_METHOD_FIND "Find"
#define MM_MODEM_GSM_CONTACTS_METHOD_GETCOUNT "GetCount"

/*
 * Interface org.freedesktop.ModemManager.Modem.Gsm.Hso
 */
  
#define MM_MODEM_GSM_HSO_METHOD_AUTHENTICATE "Authenticate"

/*
 * Interface org.freedesktop.ModemManager.Modem.Gsm.Network
 */
  
#define MM_MODEM_GSM_NETWORK_METHOD_REGISTER "Register"
#define MM_MODEM_GSM_NETWORK_METHOD_SCAN "Scan"
#define MM_MODEM_GSM_NETWORK_METHOD_SETAPN "SetApn"
#define MM_MODEM_GSM_NETWORK_METHOD_GETSIGNALQUALITY "GetSignalQuality"
#define MM_MODEM_GSM_NETWORK_METHOD_SETBAND "SetBand"
#define MM_MODEM_GSM_NETWORK_METHOD_GETBAND "GetBand"
#define MM_MODEM_GSM_NETWORK_METHOD_SETNETWORKMODE "SetNetworkMode"
#define MM_MODEM_GSM_NETWORK_METHOD_GETNETWORKMODE "GetNetworkMode"
#define MM_MODEM_GSM_NETWORK_METHOD_GETREGISTRATIONINFO "GetRegistrationInfo"
#define MM_MODEM_GSM_NETWORK_METHOD_SETALLOWEDMODE "SetAllowedMode"

#define MM_MODEM_GSM_NETWORK_SIGNAL_SIGNALQUALITY "SignalQuality"
#define MM_MODEM_GSM_NETWORK_SIGNAL_REGISTRATIONINFO "RegistrationInfo"
#define MM_MODEM_GSM_NETWORK_SIGNAL_NETWORKMODE "NetworkMode"

/* MM_MODEM_GSM_NETWORK_REG_STATUS enum values */
    
typedef enum {
    MM_MODEM_GSM_NETWORK_REG_STATUS_IDLE = 0,
    MM_MODEM_GSM_NETWORK_REG_STATUS_HOME = 1,
    MM_MODEM_GSM_NETWORK_REG_STATUS_SEARCHING = 2,
    MM_MODEM_GSM_NETWORK_REG_STATUS_DENIED = 3,
    MM_MODEM_GSM_NETWORK_REG_STATUS_UNKNOWN = 4,
    MM_MODEM_GSM_NETWORK_REG_STATUS_ROAMING = 5,
} MMModemGsmNetworkRegStatus;

/* MM_MODEM_GSM_NETWORK_DEPRECATED_MODE enum values */
    
typedef enum {
    MM_MODEM_GSM_NETWORK_DEPRECATED_MODE_ANY = 0,
    MM_MODEM_GSM_NETWORK_DEPRECATED_MODE_GPRS = 1,
    MM_MODEM_GSM_NETWORK_DEPRECATED_MODE_EDGE = 2,
    MM_MODEM_GSM_NETWORK_DEPRECATED_MODE_UMTS = 3,
    MM_MODEM_GSM_NETWORK_DEPRECATED_MODE_HSDPA = 4,
    MM_MODEM_GSM_NETWORK_DEPRECATED_MODE_2G_PREFERRED = 5,
    MM_MODEM_GSM_NETWORK_DEPRECATED_MODE_3G_PREFERRED = 6,
    MM_MODEM_GSM_NETWORK_DEPRECATED_MODE_2G_ONLY = 7,
    MM_MODEM_GSM_NETWORK_DEPRECATED_MODE_3G_ONLY = 8,
    MM_MODEM_GSM_NETWORK_DEPRECATED_MODE_HSUPA = 9,
    MM_MODEM_GSM_NETWORK_DEPRECATED_MODE_HSPA = 10,
} MMModemGsmNetworkDeprecatedMode;

/*
 * Interface org.freedesktop.ModemManager.Modem.Gsm.SMS
 */
  
#define MM_MODEM_GSM_SMS_METHOD_DELETE "Delete"
#define MM_MODEM_GSM_SMS_METHOD_GET "Get"
#define MM_MODEM_GSM_SMS_METHOD_GETFORMAT "GetFormat"
#define MM_MODEM_GSM_SMS_METHOD_SETFORMAT "SetFormat"
#define MM_MODEM_GSM_SMS_METHOD_GETSMSC "GetSmsc"
#define MM_MODEM_GSM_SMS_METHOD_SETSMSC "SetSmsc"
#define MM_MODEM_GSM_SMS_METHOD_LIST "List"
#define MM_MODEM_GSM_SMS_METHOD_SAVE "Save"
#define MM_MODEM_GSM_SMS_METHOD_SEND "Send"
#define MM_MODEM_GSM_SMS_METHOD_SENDFROMSTORAGE "SendFromStorage"
#define MM_MODEM_GSM_SMS_METHOD_SETINDICATION "SetIndication"

#define MM_MODEM_GSM_SMS_SIGNAL_SMSRECEIVED "SmsReceived"
#define MM_MODEM_GSM_SMS_SIGNAL_COMPLETED "Completed"

/*
 * Interface org.freedesktop.ModemManager.Modem.Gsm.Ussd
 */
  
#define MM_MODEM_GSM_USSD_METHOD_INITIATE "Initiate"
#define MM_MODEM_GSM_USSD_METHOD_RESPOND "Respond"
#define MM_MODEM_GSM_USSD_METHOD_CANCEL "Cancel"

/*
 * Interface org.freedesktop.ModemManager.Modem.Firmware
 */
  
#define MM_MODEM_FIRMWARE_METHOD_LIST "List"
#define MM_MODEM_FIRMWARE_METHOD_SELECT "Select"
#define MM_MODEM_FIRMWARE_METHOD_INSTALL "Install"

/*
 * Interface org.freedesktop.ModemManager.Modem.Location
 */
  
#define MM_MODEM_LOCATION_METHOD_ENABLE "Enable"
#define MM_MODEM_LOCATION_METHOD_GETLOCATION "GetLocation"

/* MM_MODEM_LOCATION_CAPABILITIES flag values */
    
typedef enum {
    MM_MODEM_LOCATION_CAPABILITY_UNKNOWN = 0x0,
    MM_MODEM_LOCATION_CAPABILITY_GPS_NMEA = 0x1,
    MM_MODEM_LOCATION_CAPABILITY_GSM_LAC_CI = 0x2,
    MM_MODEM_LOCATION_CAPABILITY_GPS_RAW = 0x4,
} MMModemLocationCapabilities;

/*
 * Interface org.freedesktop.ModemManager.Modem.Time
 */
  
#define MM_MODEM_TIME_METHOD_GETNETWORKTIME "GetNetworkTime"

#define MM_MODEM_TIME_SIGNAL_NETWORKTIMECHANGED "NetworkTimeChanged"

/*
 * Interface org.freedesktop.DBus.Properties
 */
  
#define MM_MANAGER_SIGNAL_MMPROPERTIESCHANGED "MmPropertiesChanged"
#define MM_MANAGER_SIGNAL_PROPERTIESCHANGED "PropertiesChanged"


/**********
 * Errors *
 **********/

#define MM_ERROR_MODEM_SERIALOPENFAILED "SerialOpenFailed"
#define MM_ERROR_MODEM_SERIALSENDFAILED "SerialSendFailed"
#define MM_ERROR_MODEM_SERIALRESPONSETIMEOUT "SerialResponseTimeout"
#define MM_ERROR_MODEM_GENERAL "General"
#define MM_ERROR_MODEM_OPERATIONNOTSUPPORTED "OperationNotSupported"
#define MM_ERROR_MODEM_CONNECTED "Connected"
#define MM_ERROR_MODEM_DISCONNECTED "Disconnected"
#define MM_ERROR_MODEM_OPERATIONINPROGRESS "OperationInProgress"
#define MM_ERROR_MODEM_NOCARRIER "NoCarrier"
#define MM_ERROR_MODEM_NODIALTONE "NoDialtone"
#define MM_ERROR_MODEM_BUSY "Busy"
#define MM_ERROR_MODEM_NOANSWER "NoAnswer"
#define MM_ERROR_MODEM_GSM_PHONEFAILURE "PhoneFailure"
#define MM_ERROR_MODEM_GSM_NOCONNECTION "NoConnection"
#define MM_ERROR_MODEM_GSM_LINKRESERVED "LinkReserved"
#define MM_ERROR_MODEM_GSM_OPERATIONNOTALLOWED "OperationNotAllowed"
#define MM_ERROR_MODEM_GSM_OPERATIONNOTSUPPORTED "OperationNotSupported"
#define MM_ERROR_MODEM_GSM_PHSIMPINREQUIRED "PhSimPinRequired"
#define MM_ERROR_MODEM_GSM_PHFSIMPINREQUIRED "PhFSimPinRequired"
#define MM_ERROR_MODEM_GSM_PHFSIMPUKREQUIRED "PhFSimPukRequired"
#define MM_ERROR_MODEM_GSM_SIMNOTINSERTED "SimNotInserted"
#define MM_ERROR_MODEM_GSM_SIMPINREQUIRED "SimPinRequired"
#define MM_ERROR_MODEM_GSM_SIMPUKREQUIRED "SimPukRequired"
#define MM_ERROR_MODEM_GSM_SIMFAILURE "SimFailure"
#define MM_ERROR_MODEM_GSM_SIMBUSY "SimBusy"
#define MM_ERROR_MODEM_GSM_SIMWRONG "SimWrong"
#define MM_ERROR_MODEM_GSM_INCORRECTPASSWORD "IncorrectPassword"
#define MM_ERROR_MODEM_GSM_SIMPIN2REQUIRED "SimPin2Required"
#define MM_ERROR_MODEM_GSM_SIMPUK2REQUIRED "SimPuk2Required"
#define MM_ERROR_MODEM_GSM_MEMORYFULL "MemoryFull"
#define MM_ERROR_MODEM_GSM_INVALIDINDEX "InvalidIndex"
#define MM_ERROR_MODEM_GSM_NOTFOUND "NotFound"
#define MM_ERROR_MODEM_GSM_MEMORYFAILURE "MemoryFailure"
#define MM_ERROR_MODEM_GSM_TEXTTOOLONG "TextTooLong"
#define MM_ERROR_MODEM_GSM_INVALIDCHARS "InvalidChars"
#define MM_ERROR_MODEM_GSM_DIALSTRINGTOOLONG "DialStringTooLong"
#define MM_ERROR_MODEM_GSM_INVALIDDIALSTRING "InvalidDialString"
#define MM_ERROR_MODEM_GSM_NONETWORK "NoNetwork"
#define MM_ERROR_MODEM_GSM_NETWORKTIMEOUT "NetworkTimeout"
#define MM_ERROR_MODEM_GSM_NETWORKNOTALLOWED "NetworkNotAllowed"
#define MM_ERROR_MODEM_GSM_NETWORKPINREQUIRED "NetworkPinRequired"
#define MM_ERROR_MODEM_GSM_NETWORKPUKREQUIRED "NetworkPukRequired"
#define MM_ERROR_MODEM_GSM_NETWORKSUBSETPINREQUIRED "NetworkSubsetPinRequired"
#define MM_ERROR_MODEM_GSM_NETWORKSUBSETPUKREQUIRED "NetworkSubsetPukRequired"
#define MM_ERROR_MODEM_GSM_SERVICEPINREQUIRED "ServicePinRequired"
#define MM_ERROR_MODEM_GSM_SERVICEPUKREQUIRED "ServicePukRequired"
#define MM_ERROR_MODEM_GSM_CORPORATEPINREQUIRED "CorporatePinRequired"
#define MM_ERROR_MODEM_GSM_CORPORATEPUKREQUIRED "CorporatePukRequired"
#define MM_ERROR_MODEM_GSM_HIDDENKEYREQUIRED "HiddenKeyRequired"
#define MM_ERROR_MODEM_GSM_EAPMETHODNOTSUPPORTED "EapMethodNotSupported"
#define MM_ERROR_MODEM_GSM_INCORRECTPARAMS "IncorrectParams"
#define MM_ERROR_MODEM_GSM_UNKNOWN "Unknown"
#define MM_ERROR_MODEM_GSM_GPRSILLEGALMS "GprsIllegalMs"
#define MM_ERROR_MODEM_GSM_GPRSILLEGALME "GprsIllegalMe"
#define MM_ERROR_MODEM_GSM_GPRSSERVICENOTALLOWED "GprsServiceNotAllowed"
#define MM_ERROR_MODEM_GSM_GPRSPLMNNOTALLOWED "GprsPlmnNotAllowed"
#define MM_ERROR_MODEM_GSM_GPRSLOCATIONNOTALLOWED "GprsLocationNotAllowed"
#define MM_ERROR_MODEM_GSM_GPRSROAMINGNOTALLOWED "GprsRoamingNotAllowed"
#define MM_ERROR_MODEM_GSM_GPRSOPTIONNOTSUPPORTED "GprsOptionNotSupported"
#define MM_ERROR_MODEM_GSM_GPRSNOTSUBSCRIBED "GprsNotSubscribed"
#define MM_ERROR_MODEM_GSM_GPRSOUTOFORDER "GprsOutOfOrder"
#define MM_ERROR_MODEM_GSM_GPRSPDPAUTHFAILURE "GprsPdpAuthFailure"
#define MM_ERROR_MODEM_GSM_GPRSUNSPECIFIED "GprsUnspecified"
#define MM_ERROR_MODEM_GSM_GPRSINVALIDCLASS "GprsInvalidClass"

#endif /*  _MODEM_MANAGER_H_ */


